# My knowledge database

## Programming Paradigms

#### Object-Oriented Programming
https://docs.oracle.com/javase/tutorial/java/concepts/
https://msdn.microsoft.com/es-es/library/dd460654(v=vs.110).aspx

#### Generic Programming
http://www.cse.chalmers.se/~patrikj/poly/afp98/genprogintro.pdf
http://www.stroustrup.com/hopl-almost-final.pdf
http://stepanovpapers.com/genprog.pdf
http://www.zator.com/Cpp/E4_12.htm

#### Functional Programming
https://ademirar.wordpress.com/2010/08/28/programacion-funcional-para-el-resto-de-nosotros/

#### Reactive Programming
http://www.reactivemanifesto.org/
https://gist.github.com/staltz/868e7e9bc2a7b8c1f754
http://hat.hexacta.com/fundamentos-de-la-programacion-reactiva/

## Programming Design Patterns
https://msdn.microsoft.com/es-es/library/bb972240.aspx
http://wiki.c2.com/?DesignPatternsBook

## Languages

#### Java
http://docs.oracle.com/javase/tutorial/

#### C++
http://www.cplusplus.com/
http://en.cppreference.com/w/

#### C# #
https://docs.microsoft.com/en-us/dotnet/articles/csharp/
https://msdn.microsoft.com/en-us/library/67ef8sbd.aspx
http://www.mono-project.com/docs/

#### Python
https://docs.python.org/3/
https://wiki.python.org/moin/BeginnersGuide?action=AttachFile&do=view&target=PythonDoc%26Start16DEC2010.pdf
http://docs.python.org.ar/tutorial/3/index.html

#### Ruby
http://www.ruby-lang.org/es/documentation/
https://rubydocs.org/

#### HTML
https://developer.mozilla.org/es/docs/Web/HTML
http://devdocs.io/html/

#### CSS
https://developer.mozilla.org/es/docs/Web/CSS
https://www.w3schools.com/css/

#### JavaScript
https://developer.mozilla.org/es/docs/Web/JavaScript
https://www.javascript.com/
https://www.w3schools.com/js/

#### TypeScript
https://www.typescriptlang.org/docs/tutorial.html
https://www.typescriptlang.org/play/index.html
https://basarat.gitbooks.io/typescript/docs/getting-started.html

#### CoffeeScript
http://coffeescript.org
https://learnxinyminutes.com/docs/coffeescript/

#### Go
https://golang.org/ref/spec
https://godoc.org/

####  Various Docs
http://devdocs.io/

## Coding Conventions

#### Java
http://www.oracle.com/technetwork/java/javase/documentation/codeconvtoc-136057.html
http://tech.dolhub.com/article/computer/Coding-Conventions

#### Python
https://www.python.org/dev/peps/pep-0008/

#### C++
https://google.github.io/styleguide/cppguide.html
https://en.wikibooks.org/wiki/C%2B%2B_Programming/Programming_Languages/C%2B%2B/Code/Style_Conventions
http://www.state-machine.com/doc/AN_QL_Coding_Standard.pdf

#### C# #
https://msdn.microsoft.com/en-us/library/ff926074.aspx
https://msdn.microsoft.com/en-us/library/ms229042(VS.80).aspx
https://blogs.msdn.microsoft.com/brada/2005/01/26/internal-coding-guidelines/

#### JavaScript
http://javascript.crockford.com/code.html

#### Ruby
https://github.com/github/rubocop-github/blob/master/STYLEGUIDE.md
http://www.caliban.org/ruby/rubyguide.shtml

#### Odoo :D
https://www.odoo.com/documentation/8.0/reference/guidelines.html
https://www.odoo.com/documentation/9.0/reference/guidelines.html
http://odoo-new-api-guide-line.readthedocs.io/en/latest/conventions.html

#### Various Conventions
https://developer.mozilla.org/en-US/docs/Mozilla/Developer_guide/Coding_Style
http://httpd.apache.org/dev/styleguide.html

## Framework
- Angular: https://angular.io/
- PrimeNG: https://www.primefaces.org/primeng/
- React: https://facebook.github.io/react/
- Nuclear: https://optimizely.github.io/nuclear-js/
- React Native: https://facebook.github.io/react-native/
- NativeBase: https://nativebase.io/
- Ionic: http://ionicframework.com/
- Vue: https://vuejs.org/
- Vuetify: https://vuetifyjs.com/
- Backbone: http://backbonejs.org/
- Ember: https://www.emberjs.com/
- Polymer: https://www.polymer-project.org/
- NativeScript: https://www.nativescript.org/
- Framework7: https://framework7.io/
- Dojo: https://dojotoolkit.org/
- Sails: http://sailsjs.com/
- Trails: https://trailsjs.io/
- LoopBack: https://loopback.io/
- Electron: https://electron.atom.io/
- OnsenUI: https://onsen.io/
- Meteor: https://www.meteor.com/
- Derby: http://derbyjs.com/
- Omniscient: https://omniscientjs.github.io/
- Ractive: http://www.ractivejs.org/
- Riot: http://riotjs.com/
- Aurelia: http://aurelia.io/
- Knockout: http://knockoutjs.com/
- Keystone: http://keystonejs.com/
- Stape: https://hay.github.io/stapes/

#### Python
- Django: https://www.djangoproject.com/
- Flask: http://flask.pocoo.org/
- Pyramid: https://trypyramid.com/

#### Ruby
- Rails: http://rubyonrails.org/
- Firehose: http://firehose.io/
- Hanami: http://hanamirb.org/
- Lotus: http://lotusrb.org/
- Sinatra: http://www.sinatrarb.com/
- RubyMotion: http://www.rubymotion.com/
- MobiRuby: http://mobiruby.org/

#### Go
- Macaron: https://go-macaron.com/
- Gorilla Toolkit: http://www.gorillatoolkit.org/
- Beego: https://beego.me/
- Iris: http://iris-go.com/
- Revel: https://revel.github.io/

#### PHP
- Symfony: https://symfony.com/
- Laravel: https://laravel.com/
- Aura: http://auraphp.com/
- Fuel: https://fuelphp.com/
- Slim: https://www.slimframework.com/
- Phalcon: https://phalconphp.com/
- Cake: https://cakephp.org/
- Zend: https://framework.zend.com/
- Yii: http://www.yiiframework.com/
- CodeIgniter: https://codeigniter.com/

#### Perl
- Catalyst: http://www.catalystframework.org/
- Mojolicious: http://mojolicious.org/

#### Java
- Async-IO: http://async-io.org/
- Spring: https://spring.io/
- Struts: https://struts.apache.org/
- GWT: http://www.gwtproject.org/
- VRaptor: http://www.vraptor.org/
- DeltaSpike: http://deltaspike.apache.org/
- Forge: https://forge.jboss.org/

#### Groovy
- Grails: https://grails.org/
- Gaelyk: http://gaelyk.appspot.com/
- Glide: http://glide-gae.appspot.com/
- SpringBoot: http://projects.spring.io/spring-boot/

#### Kotlin
- Kara: http://karaframework.com/
- Yested: http://www.yested.net/
- Spek: http://spekframework.org/
- TornadoFX: https://github.com/edvin/tornadofx

#### CSS
- Bootstrap: http://getbootstrap.com/
- Foundation: http://foundation.zurb.com/
- SemanticUI: https://semantic-ui.com/
- Materialize: http://materializecss.com/
- UIKit: https://getuikit.com/
- PureCSS: https://purecss.io/
- Material Framework: https://nt1m.github.io/material-framework/
- Leaf: http://getleaf.com/
- MetroUI: https://metroui.org.ua/
- Unsemantic: https://unsemantic.com/
- Bulma: http://bulma.io/
- MiniCSS: https://chalarangelo.github.io/mini.css/
- MUI: https://www.muicss.com/
- Material Design Lite: https://getmdl.io/
- Material UI: http://www.material-ui.com/
- FuelUX: http://getfuelux.com/css.html

## Databases
- RethinkDB: https://www.rethinkdb.com/
- PipelineDB: https://www.pipelinedb.com/
- GunDB: http://gun.js.org/
- RxDB: https://github.com/pubkey/rxdb
- ZoDB: http://www.zodb.org

## Backend
- Horizon: http://horizon.io/
- DeployD: http://deployd.com/
- Hodie: http://hood.ie/
- SocketIO: https://socket.io/
- DeepStream: https://deepstream.io/
- Emitter: https://emitter.io/
- Kinto: https://www.kinto-storage.org/
- Passenger: https://www.phusionpassenger.com/

## Tools
- Gogs: https://gogs.io/
- Citus Community: https://www.citusdata.com/product/community

## Editors
- Atom: https://atom.io/
- VS Code: https://code.visualstudio.com/
- Brackets: http://brackets.io/
- LightTable: http://lighttable.com/
- ALM: http://alm.tools/
- AngularIDE: https://www.genuitec.com/products/angular-ide/
